#
# spec file for package sax3
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           sax3
Version:        0.1.2
Release:        bp155.2.11
Summary:        A Graphical Configuration Tool for X
License:        GPL-3.0
Group:          System/X11/Utilities
Url:            https://www.ohloh.net/p/sax3
Source:         %{name}-%{version}.tar.gz
#               https://github.com/openSUSE/%{name}/archive/v%{version}.tar.gz
# PATCH-FIX-UPSTREAM sax3-gcc6.patch
Patch:          sax3-gcc6.patch
BuildRequires:  augeas-devel
BuildRequires:  augeas-lenses
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkg-config
%if 0%{?suse_version} > 1220
BuildRequires:  libyui-devel
%else
BuildRequires:  yast2-libyui-devel
%endif
Requires:       augeas
Requires:       augeas-lenses
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A graphical utility for configuring X server settings. It can run without X with a graphical interface.

Authors:
_______
Manu Gupta
Michal Hrusecky

%prep
%setup -q
%patch -p1
%if 0%{?suse_version} < 1230
# No libyui pkg-config before 12.3
sed -i 's|${LIBYUI_INCLUDE_DIR}|/usr/include/YaST2\ /usr/include/YaST2/yui|' src/CMakeLists.txt
sed -i 's|${LIBYUI_LIBRARIES}|yui|' src/CMakeLists.txt
%endif

%build
cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_SKIP_RPATH=true \
    -DCMAKE_CXX_FLAGS="%{optflags}" \
    -DCMAKE_VERBOSE_MAKEFILE=true \
%if "%{_lib}" == "lib64"
    -DLIB_SUFFIX="64" \
%endif
    .
make

%install
%make_install
echo '' > lenses
for i in desktop.aug xorg.aug; do
if [ \! -f %{_datadir}/augeas/lenses/dist/$i ]; then
mkdir -p %buildroot/%{_datadir}/augeas/lenses/dist
install -m 0644 src/lens/$i %buildroot/%{_datadir}/augeas/lenses/dist
echo %{_datadir}/augeas > lenses
fi
done

%files -f lenses
%defattr(-,root,root)
%doc COPYING.GPL-3.0
%{_sbindir}/sax3*
%{_datadir}/sax3
%{_libdir}/libsax3-yuif.so
%{_datadir}/applications/sax3.desktop
%{_datadir}/icons/*
%_mandir/man1/*

%changelog
* Sat Jul  2 2016 i@marguerite.su
- add patch sax3-gcc6.patch which fixes boo#985161
  * fix no matching function for call to 'make_pair(std::__cxx11::string&,
    std::__cxx11::string&)'
* Sun May 18 2014 manugupt1@gmail.com
- Updated SaX3 Man Page
- Removed Unnecessary lines from CMake
* Sun May 11 2014 manugupt1@gmail.com
- Updated Translation files (were named .po, should be .pot)
- Pushed suggestions related to strings to sax3-touchpad
* Mon May  5 2014 manugupt1@gmail.com
- sax3-keyboard text domain was incorrect. Updated it for sax3-keyboard
* Sun May  4 2014 manugupt1@gmail.com
- Translation Support added for sax3 modules along with PO files
- Logs are much more beautiful for some modules
* Wed May 22 2013 schwab@suse.de
- Properly determine LIB_SUFFIX
- Use %%{optflags}
* Thu Apr 18 2013 mhrusecky@suse.com
- bugfix release 0.1.1
  * fixed keyboard variant bug
  * merged downstream patches
  * not installing lenses when not needed
* Fri Jan 25 2013 mlin@suse.com
- Added fix-libyui-include-path.diff
  * support build with libyui which renamed from yast2-libyui
  * linking correct libyui library path
- Added fix-std-nametype-issue.diff
  * fixed compilation error
* Tue Dec  6 2011 cfarrell@suse.com
- license update: GPL-3.0+
  a SPDX format
* Mon Dec  5 2011 manugupt1@gmail.com
-Build system changes, monitor value changes, spec file chnaged , still in beta phase
* Mon Aug 22 2011 manugupt1@gmail.com
- SaX3 Beta started
* Thu Jun 30 2011 manugupt1@gmail.com
-Initial Build
